Subject: bug#13189: using glyphs by default in perl-mode

From: Ted Zlatanov <[email-masked]>
Date: Fri, 07 Jun 2013 09:05:24 -0400

On Fri, 07 Jun 2013 13:15:13 +0530 Jambunathan K <[email-masked]> wrote: 

JK> Eli Zaretskii <[email-masked]> writes:
>>> From: Ted Zlatanov <[email-masked]>
>>> Date: Wed, 05 Jun 2013 10:45:26 -0400
>>> 
>>> (Aside: I attempted to use `compose-region' to build more complicated
>>> compositions besides a single character.  The docstring says the
>>> COMPONENTS format can be several things, including:
>>> 
>>> "If it is a vector or list, it is a sequence of alternate characters and
>>> composition rules, where (2N)th elements are characters and (2N+1)th
>>> elements are composition rules to specify how to compose (2N+2)th
>>> elements with previously composed N glyphs."
>>> 
>>> I stared at this for a while then I gave up.  It really needs one or two
>>> examples and an alternate wording, because I have no idea what it says.)
>> 
>> There's a reference to reference-point-alist, which I think has those
>> details.
>> 
>> As for examples, you can see them in tv-util.el, for example.

JK> FWIW, created a cross link to [email-masked].

Has that bug been resolved with the latest changes to perl-mode and
prog-mode-prettify?

Ted